%global project_name FcitxQt5

Name:           fcitx-qt5
Version:        1.0.6
Release:        3%{?dist}
Summary:        Fcitx IM module for Qt5

# The entire source code is GPLv2+ except
# platforminputcontext/keyserver_x11.h which is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/fcitx/fcitx-qt5
Source0:        http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  fcitx-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  extra-cmake-modules
# The author requests that fcitx-qt5 should be rebuilt for each minor version of qt5
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
%filter_provides_in %{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so
%filter_setup

%description
This package provides Fcitx Qt5 input context.

%package devel
Summary:        Development files for fcitx-qt5
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using fcitx-qt5 libraries.

%prep
%setup -q

%build
mkdir -pv build
pushd build
%cmake ..
popd
make %{?_smp_mflags} -C build

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_libdir}/lib%{project_name}*.so.*
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_includedir}/%{project_name}
%{_libdir}/lib%{project_name}*.so
%{_libdir}/cmake/*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Nov 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.6-2
- bump Release

* Thu Nov 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.6-1.2
- f24 branch rebuild (qt5)

* Fri Oct 21 2016 Robin Lee <cheeselee@fedoraproject.org> - 1.0.6-1
- Upate to 1.0.6 (BZ#1384262)

* Tue Jul 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.5-7
- use macro version of qt5 dep

* Sun Jul 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.5-6
- rebuild (qtbase)

* Thu Jun 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.5-5
- rebuild (qtbase)

* Sun Apr 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.5-4
- BR: qt5-qtbase-private-devel

* Mon Mar 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.0.5-3
- rebuild (Qt5)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Robin Lee <cheeselee@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Mon Dec 07 2015 Rex Dieter <rdieter@fedoraproject.org> 1.0.4-4
- rebuild (qt5)

* Fri Oct 09 2015 Rex Dieter <rdieter@fedoraproject.org> 1.0.4-3
- rebuild(qt5), tighten qt5 dep, .spec cosmetics

* Wed Sep 23 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.4-2
- Requires a versioned qt5-qtbase

* Tue Sep 22 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun  1 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.2-2
- Don't explicitly require fcitx

* Thu Apr 30 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2
- License tag revised
- BR: libxkbcommon-devel

* Thu Apr 16 2015 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Fri Dec 12 2014 Robin Lee <cheeselee@fedoraproject.org> - 0.1.3-1
- Initial package
